[
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "ChangeEmail",
    "RelativePath": "api/Account/change-email",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.ChangeEmailDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "ChangeNickname",
    "RelativePath": "api/Account/change-nickname",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.ChangeNicknameDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "ChangePassword",
    "RelativePath": "api/Account/change-password",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.ChangePasswordDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "Info",
    "RelativePath": "api/Account/Info/{email}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "LoginLog",
    "RelativePath": "api/Account/login-log",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "page",
        "Type": "System.Int32",
        "IsRequired": false
      },
      {
        "Name": "type",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AccountController",
    "Method": "Withdraw",
    "RelativePath": "api/Account/withdraw",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.Auth.PasswordController",
    "Method": "ForgotPassword",
    "RelativePath": "api/auth/forgot-password/{email}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.Auth.LoginController",
    "Method": "Login",
    "RelativePath": "api/auth/login",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.LoginDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AuthController",
    "Method": "RefreshToken",
    "RelativePath": "api/Auth/refresh-token",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.Auth.RegisterController",
    "Method": "Register",
    "RelativePath": "api/auth/register",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.RegisterDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.Auth.RegisterController",
    "Method": "Registration",
    "RelativePath": "api/auth/registration/{email}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "email",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AuthController",
    "Method": "ResendVerify",
    "RelativePath": "api/Auth/resend-verify",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.ResendVerifyNumberDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.Auth.PasswordController",
    "Method": "ResetPassword",
    "RelativePath": "api/auth/reset-password",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.ResetPasswordDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AuthController",
    "Method": "Verification",
    "RelativePath": "api/Auth/verification",
    "HttpMethod": "POST",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "request",
        "Type": "bitforum.DTOs.Request.VerificationNumberDto",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AuthController",
    "Method": "VerifyEmail",
    "RelativePath": "api/Auth/verify-email/{token}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "token",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.AuthController",
    "Method": "VerifyAccessToken",
    "RelativePath": "api/Auth/verify-token",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "Banner",
    "RelativePath": "api/System/banner/{code}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "code",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "Configs",
    "RelativePath": "api/System/configs",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "Docs",
    "RelativePath": "api/System/docs/{code}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "code",
        "Type": "System.String",
        "IsRequired": true
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "Faq",
    "RelativePath": "api/System/faq/{code}",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [
      {
        "Name": "code",
        "Type": "System.String",
        "IsRequired": true
      },
      {
        "Name": "search",
        "Type": "System.String",
        "IsRequired": false
      }
    ],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "FaqCategories",
    "RelativePath": "api/System/faq/categories",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  },
  {
    "ContainingType": "bitforum.Controllers.API.SystemController",
    "Method": "Popup",
    "RelativePath": "api/System/popup",
    "HttpMethod": "GET",
    "IsController": true,
    "Order": 0,
    "Parameters": [],
    "ReturnTypes": [
      {
        "Type": "bitforum.DTOs.Response.ResultDto",
        "MediaTypes": [
          "text/plain",
          "application/json",
          "text/json"
        ],
        "StatusCode": 200
      }
    ]
  }
]